Retrieves the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "d4c851be-7498-4571-bb72-2e18dc5c5411",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "3396b9eb-9e90-4bde-8b46-66c49aeada81",
"company_code": "sample string 5",
"company": {
"id": "1ec12c57-ca76-4e37-a99b-1f4faeb16b71",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-15T07:03:52.5109159+00:00",
"sales_territory_id": "386e5c0a-252d-422f-8a6e-3e40ee7ff4f9",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "5e7a0796-0ce1-4810-b0c8-bdd74d298d6c",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "2048b6e5-0c78-4f76-b133-a3855ab691e5",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "338fcc3f-bac3-4002-90a5-a2ce23e4c52e",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "949e9739-df8e-4234-ad2f-0632264d3478",
"db_currency_id": "af763980-52ad-4d64-a102-e4057175aae5",
"db_language_id": "68eb08b0-2cf3-4833-8e4a-5c7a4176cd28",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-15T07:03:52.5109159+00:00"
},
"modified_dateutc": "2026-10-15T07:03:52.5109159+00:00"
},
"marketing_segment_id": "87f552c5-f6aa-45b1-9bae-608285df4efd",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "092aa47a-7fc7-4a45-9089-0d890b402996",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "ddd0d9cb-97f6-45db-b3f2-b211d5a8898c",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "f31f16d6-4d84-4855-b883-310c8486807c",
"db_country_code": "sample string 28",
"feelist_id": "49afcf36-fdee-41a9-92c0-d43e6fd4bbc9",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "b26cf30c-8c13-493e-a0a2-78e9beb91434",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "0fc7fcf9-b356-4fe3-9a21-2723a5eb2b6b",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-15T07:03:52.5109159+00:00",
"db_currency_id": "689d495e-55e3-456b-ab2a-d6b30259fb63",
"db_currency_code": "sample string 10"
},
"company_type_id": "93df3ce8-f367-4264-aa43-f44285b6e0d5",
"company_type_name": "sample string 32",
"company_type": {
"id": "2e10d5c2-2a41-49ae-9bb6-c3ebe192cb71",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "3e6fecfb-a699-4dce-a82b-461d44bff30e",
"sales_organization_code": "sample string 5"
},
"db_language_id": "98ad0f3c-bcca-481e-be20-d23682d17228",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "678022cd-684e-400d-a585-f868c91f3ae4",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "0eb828bb-98e8-4866-be22-ad557b65dcae",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "018a7ff2-df7b-4b07-b1e9-efc5efda55a2",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-15T07:03:52.5109159+00:00"
},
"company_sector_id": "3fa7a14b-7dc4-46a5-bcc7-7dfd94958718",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "dd3b8f7c-35b6-446b-840f-522c06dafc2e",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "c4a69187-0933-4857-aea2-34253f263ff4",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "7521fbaf-cf83-457e-9dce-d48f61702552",
"account_manager_user_code": "sample string 56",
"company_status_id": "5ae06903-7217-4c3d-9241-b382116804a8",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-15T07:03:52.5109159+00:00",
"id2": 60
},
"db_language_id": "f759d5dc-c52b-4297-a280-aa5f88fd9490",
"db_language_code": "sample string 7",
"db_title_id": "4a623419-589d-4418-96ee-e98569bc4fd6",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-15T07:03:52.5231193+00:00",
"create_date": "2026-10-15T07:03:52.5231193+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-15T07:03:52.5231193+00:00"
}